//
// initialize vector set for icosahedron
//
void initv20() {

	if (NW != 20) { cout << "Wrong NW!  Exiting now." << endl; exit(1); }
	cout << "==> Initializing vectors for icosahedron" << endl;
	
	v[0][0] = 2*sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[0][1] = (double)0; 
	v[0][2] =  -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[1][0] = sqrt((2*(0.5 - 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[1][1] = sqrt((3 - sqrt(double(5)))/6.); 
	v[1][2] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[2][0] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[2][1] = (-1 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[2][2] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[3][0] = -2*sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[3][1] = (double)0; 
	v[3][2] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[4][0] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[4][1] = (1 - sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[4][2] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[5][0] = sqrt((2*(0.5 - 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[5][1] = (-3 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[5][2] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[6][0] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[6][1] = (-1 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[6][2] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[7][0] = -sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[7][1] = sqrt(2/(3.*(3 - sqrt(double(5))))); 
	v[7][2] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/ (3.*(3 - sqrt(double(5)))));
	
	v[8][0] = -2*sqrt((5 - sqrt(double(5)))/(15.*(3 - sqrt(double(5))))); 
	v[8][1] = (double)0; 
	v[8][2] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[9][0] = -sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[9][1] = -sqrt(2/(3.*(3 - sqrt(double(5))))); 
	v[9][2] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[10][0] = sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[10][1] = (1 - sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[10][2] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[11][0] = sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[11][1] = sqrt(2/(3.*(3 - sqrt(double(5))))); 
	v[11][2] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[12][0] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[12][1] = (-1 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[12][2] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[13][0] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[13][1] = (1 - sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[13][2] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[14][0] = sqrt((2*(5 - 2*sqrt(double(5))))/(15.*(3 - sqrt(double(5))))); 
	v[14][1] = -sqrt(2/(3.*(3 - sqrt(double(5))))); 
	v[14][2] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[15][0] = 2*sqrt((5 - sqrt(double(5)))/(15.*(3 - sqrt(double(5))))); 
	v[15][1] = (double)0; 
	v[15][2] = -sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[16][0] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[16][1] = (-1 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[16][2] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[17][0] = -sqrt((2*(0.5 - 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[17][1] = sqrt((3 - sqrt(double(5)))/6.); 
	v[17][2] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[18][0] = -sqrt((2*(0.5 - 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[18][1] = (-3 + sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[18][2] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
	v[19][0] = sqrt((2*(2.5 - 11/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5))))); 
	v[19][1] = (1 - sqrt(double(5)))/sqrt(6*(3 - sqrt(double(5)))); 
	v[19][2] = -sqrt((2*(0.5 + 1/(2.*sqrt(double(5)))))/(3.*(3 - sqrt(double(5)))));
	
}

