#include <cmath>
#include "DoublePrn.h"

DoublePrn* DoublePrn::prn = 0;

DoublePrn::DoublePrn(int seed, int index)
{
    // "index" selects which random number generator - which multiplier.
    seed = (69607+8*index)*seed+12345;
    r0 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r1 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r2 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r3 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r4 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r5 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    r6 = (seed>>8) & 0xffffff;
    seed = (69607+8*index)*seed+12345;
    ic_state = seed;
    multiplier = 100005 + 8*index;
    addend = 12345;
    scale = 1.0/((float)0x1000000);
}

// Gaussian random su2_adjoint, independently for each component
/*su2_adjoint DoublePrn::grand_su2_adjoint()
{
    return su2_adjoint(gaussian_rand_no(),gaussian_rand_no(),
                       gaussian_rand_no());
		       }*/


//SU3Adjoint random_anti_hermitian()
/*SU3Adjoint DoublePrn::grand_SU3Adjoint()
{
    double sqrt_third = sqrt(1.0/3.0);
    double r3=gaussian_rand_no();
    double r8=gaussian_rand_no();

    return SU3Adjoint(
	std::complex<double>(gaussian_rand_no(),gaussian_rand_no()),
	std::complex<double>(gaussian_rand_no(),gaussian_rand_no()),
	std::complex<double>(gaussian_rand_no(),gaussian_rand_no()),
	r3+sqrt_third*r8,-r3+sqrt_third*r8,-2.0*sqrt_third*r8);

}

//SU3Adjoint random_anti_hermitian() for su2 subgroup
SU3Adjoint DoublePrn::grand_SU3AdjointSU2()
{
    double sqrt_third = sqrt(1.0/3.0);
    double r1=gaussian_rand_no();
    double r2=gaussian_rand_no();
    double r3=gaussian_rand_no();
    double r8=0.0;

    return SU3Adjoint(
	std::complex<double>(r1,r2),
	std::complex<double>(0.0,0.0),
	std::complex<double>(0.0,0.0),
	r3+sqrt_third*r8,-r3+sqrt_third*r8,-2.0*sqrt_third*r8);

}
*/
