#!/usr/bin/awk -f
BEGIN{ntraj=0;}
{
  if($1=="TSIG")
    mu1=$3
  if(($1=="checking:")&&($3=="vs"))
    {
      ntraj++;
    }
  if(($1=="average")&&($7=="av")){
    avrho+=$9;
  }
  if(($1=="average")&&($2=="L1:")){
    avL1+=$3;
    avL2+=$6;
  }
  if(($1=="average")&&($2=="dL1:")){
    avdL1+=$3;
    avdL2+=$6;
  }
  if(($1=="L1:")&&($3=="L2:")){
    ratio+=$6/$9;
  }
  if(($1=="checking")&&($2=="norm:")){
    checknorm+=$3;
  }
  if(($1=="checking")&&($2=="norm2:")){
    checknorm2+=$3;
  }
  if(($1=="Initial")&&($2=="ez")){
    ene+=$4;
  }   
}
END{
printf("# counted %i good trajectories\n",ntraj);
 printf("# have a mu = %f\n",mu1); 
 printf("# average ez = %f, coming from %f\n",ene/ntraj*mu1*mu1*mu1,ene/ntraj); #is just normal ez
 printf("# average ratio ez/ez via linear relation = %f\n",ratio/ntraj);
 printf("# average RHO = %f\n",avrho/ntraj);
 printf("# average L1 = %f and L2 = %f\n",avL1/ntraj,avL2/ntraj);
}
