// because this is included in solve.cpp you should 'touch solve.cpp' 
// after edits to this in order for make to know there has been a change


//defined later on 
void EDcorrel(double time);
void dumpED(double time);


void outputMeasurements(double time) {
	double cbar = Cbar();
	//double cjbar = Cjbar();

	
	double etenergy = etEnergyDensity();
	double ezenergy = ezEnergyDensity();
	double bzenergy = bzEnergyDensity();
	double btenergy = btEnergyDensity();
	double hlenergy = HLenergy;
	double etfl = etflucs();

	
	//cout << "HL: " << HLenergy << "hl: " << hlenergy << endl;


	double energy = energyDensity();
	//energy += ezenergy*time*A;
	//energy += etenergy/time/A;
	//energy += bzenergy*time*A;
	//energy += btenergy/time/A;
	
	//energyDiff = (energy-InitialEnergy)/InitialEnergy;
	energyDiff = (energy-hlenergy);
	double gausslaw = checkGaussLaw();
	
	//for debugging: 
	//computeCorrelationLengths();
	
	// output to screen
	cout.precision(5);
	int dwidth = 13;
	cout.width(dwidth); cout << time;
	cout.width(dwidth); cout << bzenergy*time; 
	cout.width(dwidth); cout << btenergy/time; 
	cout.width(dwidth); cout << ezenergy*time; 
	cout.width(dwidth); cout << etenergy/time; 
	cout.width(dwidth); cout << energy;
	cout.width(dwidth); cout << gausslaw;
	cout.width(dwidth); cout << energyDiff;
	//cout.width(dwidth); cout << getmaxPixxkz();
	//cout.width(dwidth); cout << etfl;
	//cout.width(dwidth); cout << Tperp();
	//cout.width(dwidth); cout << Tzz()*time*time;
	cout.width(dwidth); cout << Tperp()/(Tzz()*time*time);
	cout << endl;

	// output to files
	//phirms_out << time << "\t" << bzenergy;
	//phirms_out << "\t"   << btenergy;
	//phirms_out << "\t"   << ezenergy << "\t" << etenergy << endl;

	//phirms_out << time << "\t" << etfl << endl;

	

	//cbar_out << time << "\t" << log10(cbar) << "\t" << log10(cjbar) << endl; 
	gausslaw_out << time << "\t" << log10(gausslaw) << endl; 
	energy_out << time;
	energy_out << "\t" << energy;
	energy_out << "\t" << ezenergy*time;
	energy_out << "\t" << etenergy/time;
	energy_out << "\t" << bzenergy*time;
	energy_out << "\t" << btenergy/time;
	energy_out << "\t" << 2*Tperp();
	energy_out << "\t" << Tzz()*time*time; //is T^\eta_\eta
	//energy_out << "\t" << hlenergy;
	//energy_out << "\t" << energyDiff;
	energy_out << endl;

	
	//double res=0;
	//res -= etEnergyDensity()/(time*time);
	//res += ezEnergyDensity();
	//res += bzEnergyDensity();
	//res -= btEnergyDensity()/(time*time);
	//cout << "HLEnergy: " << hlenergy << "vs res*EPS" << res*EPS << endl;
	clengths_out << time << "\t" << eloss << endl;

	//get longitudinal components
	EDcorrel(time);
	dumpED(time);

}


double getmaxPixx()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT1d(double* pArr, int nx,int sign);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=0;
      FT1darray[2*s+1]=0;
      for (int sx=1;sx<=NUMT;sx++)
	for (int sy=1;sy<=NUMT;sy++)
	  FT1darray[2*s]+=tr(Adjoint(ux[sx][sy][s+1]),Adjoint(ux[sx][sy][1]));
    }

  FT1d(FT1darray,NUM,1);

  //assume max mode is at first nonzero momentum mode

  //return FT1darray[2];

  //really find out max (real) mode
  res=FT1darray[2];
  max=2;
  for (int s=1;s<NUM;s++)
    {
      if (fabs(FT1darray[2*s])>res)
	{  
	  max=2*s;
	  res=fabs(FT1darray[2*s]);
	}
    }
  return fabs(FT1darray[max])/NUMT/NUMT;
}

double oldgetmaxPixx()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT1d(double* pArr, int nx,int sign);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=tr(Adjoint(ux[ht][ht][s+1]),Adjoint(ux[ht][ht][1]));
      FT1darray[2*s+1]=0;
    }

  FT1d(FT1darray,NUM,1);

  //assume max mode is at first nonzero momentum mode

  //return FT1darray[2];

  //really find out max (real) mode
  res=FT1darray[2];
  max=2;
  for (int s=1;s<NUM;s++)
    {
      if (fabs(FT1darray[2*s])>res)
	{  
	  max=2*s;
	  res=fabs(FT1darray[2*s]);
	}
    }
  return fabs(FT1darray[max]);
}

int getmaxPixxkz()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT1d(double* pArr, int nx,int sign);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=tr(Adjoint(ux[ht][ht][s+1]),Adjoint(ux[ht][ht][1]));
      FT1darray[2*s+1]=0;
    }

  FT1d(FT1darray,NUM,1);

  //assume max mode is at first nonzero momentum mode

  //return FT1darray[2];

  //really find out max (real) mode
  res=FT1darray[2];
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res)
	{  
	  max=s;
	  res=fabs(FT1darray[2*s]);
	}
    }
  return max;
}

double getmaxPixxkt()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT(double* pArr, int nx, int ny, int sign);

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=tr(Adjoint(ux[sx+1][sy+1][h]),Adjoint(ux[1][1][h]));
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }

  FT(FTarray,NUMT,NUMT,1);

  res=FTarray[2];
  max=2;

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	if (sx+sy>0)
	  {
	    if (fabs(FTarray[2*(sx*(NUMT)+sy)])>res)
	      {
	      max=2*(sx*(NUMT)+sy);
	      res=fabs(FTarray[2*(sx*(NUMT)+sy)]);
	      }
	  }
      }

  return fabs(FTarray[max]);
}

double getmaxPizz()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT1d(double* pArr, int nx,int sign);

 for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=0;
      FT1darray[2*s+1]=0;
      for (int sx=1;sx<=NUMT;sx++)
	for (int sy=1;sy<=NUMT;sy++)
	  FT1darray[2*s]+=tr(Adjoint(u[sx][sy][s+1]),Adjoint(u[sx][sy][1]))/A/A/otime/otime;
    } 

  FT1d(FT1darray,NUM,1);

  //assume max mode is at first nonzero momentum mode

  //return FT1darray[2];

  //really find out max (real) mode
  res=FT1darray[2];
  max=2;
  for (int s=1;s<NUM;s++)
    {
      if (fabs(FT1darray[2*s])>res)
	{
	  max=2*s;
	  res=fabs(FT1darray[2*s]);
	}
    }
  return fabs(FT1darray[max])/NUMT/NUMT;
}


double getmaxPiyy()
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res;
  int max=2;

  extern void FT1d(double* pArr, int nx,int sign);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=0;
      FT1darray[2*s+1]=0;
      for (int sx=1;sx<=NUMT;sx++)
	for (int sy=1;sy<=NUMT;sy++)
	  FT1darray[2*s]+=tr(Adjoint(uy[sx][sy][s+1]),Adjoint(uy[sx][sy][1]));
    }


  FT1d(FT1darray,NUM,1);

  //assume max mode is at first nonzero momentum mode

  //return FT1darray[2];

  //really find out max (real) mode
  res=FT1darray[2];
  max=2;
  for (int s=1;s<NUM;s++)
    {
      if (fabs(FT1darray[2*s])>res)
	{
	  max=2*s;
	  res=fabs(FT1darray[2*s]);
	}
    }
  return fabs(FT1darray[max])/NUMT/NUMT;
}




void checkdisprel(double time)
{

  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res1;
  double res2;

  extern void FT(double* pArr, int nx, int ny,int sign);

  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/disprelt_%.2f.dat",time);
  out.open(fname, ios::out);

  

  //put momenta to FTarray
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=pix[sx+1][sy+1][h].a;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  //put into Lambda
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	Lambda1[sx+1][sy+1].a=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];    
      }

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=pix[sx+1][sy+1][h].b;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda1[sx+1][sy+1].b=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=pix[sx+1][sy+1][h].c;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda1[sx+1][sy+1].c=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];



  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=piy[sx+1][sy+1][h].a;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda2[sx+1][sy+1].a=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];


  
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=piy[sx+1][sy+1][h].b;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda2[sx+1][sy+1].b=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=piy[sx+1][sy+1][h].c;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda2[sx+1][sy+1].c=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=ez[sx+1][sy+1][h].a;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda3[sx+1][sy+1].a=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=ez[sx+1][sy+1][h].b;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda3[sx+1][sy+1].b=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=ez[sx+1][sy+1][h].c;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      Lambda3[sx+1][sy+1].c=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];


  //now fields
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(ux[sx+1][sy+1][h]).a;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho1a[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(ux[sx+1][sy+1][h]).b;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho1b[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];
  
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(ux[sx+1][sy+1][h]).c;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	rho1c[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];
      }

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(uy[sx+1][sy+1][h]).a;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho2a[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];
	
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(uy[sx+1][sy+1][h]).b;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho2b[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(uy[sx+1][sy+1][h]).c;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	rho2c[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];
      }


  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(u[sx+1][sy+1][h]).a/A;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho3a[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(u[sx+1][sy+1][h]).b/A;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho3b[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=Adjoint(u[sx+1][sy+1][h]).c/A;
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }
  FT(FTarray,NUMT,NUMT,1);
  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      rho3c[sx*NUMT+sy]=FTarray[2*(sx*(NUMT)+sy)]*FTarray[2*(sx*(NUMT)+sy)]+FTarray[2*(sx*(NUMT)+sy)+1]*FTarray[2*(sx*(NUMT)+sy)+1];

  //cout << "got until here" << endl;

  //calculate correlators


  res1=0;
  res2=0;
  int pt=0;

  int maxm = (int)sqrt((double)(NUMT*NUMT/2))+1;
  int *count = new int[maxm]; //need to count number of degenerate pt's
  double *dndpt = new double[maxm]; 
  double *ompt = new double[maxm]; 
  double *ompt2 = new double[maxm];
  double *ompt3 = new double[maxm]; 

  for (int sx=0;sx<maxm;sx++)
    {
      count[sx]=0;
      dndpt[sx]=0.0;
      ompt[sx]=0.0;
      ompt2[sx]=0.0;
      ompt3[sx]=0.0;
    }

  //cout << "maxm: "<< maxm << endl;


  for (int sx=0;sx<=NUMT/2;sx++) 
    for (int sy=0;sy<=NUMT/2;sy++)
      {
	double disprel=sqrt(2.*(2.-cos(2.*M_PI*sx/NUMT)-cos(2.*M_PI*sy/NUMT)));
	pt= (int) floor(disprel*(maxm-1)/sqrt(8.0));
	if (pt>maxm-1)
	  cout << "FAILURE!!!!" << endl;
	//if (pt==2)
	// cout << "kx, ky: " << sx <<  "  " << sy << endl;
	count[pt]++;
	res1=Lambda1[sx+1][sy+1].a/time;
	res1+=Lambda1[sx+1][sy+1].b/time;
	res1+=Lambda1[sx+1][sy+1].c/time;
	res1+=Lambda2[sx+1][sy+1].a/time;
	res1+=Lambda2[sx+1][sy+1].b/time;
	res1+=Lambda2[sx+1][sy+1].c/time;	
	
	res2=rho1a[sx*NUMT+sy]*time;
	res2+=rho1b[sx*NUMT+sy]*time;
	res2+=rho1c[sx*NUMT+sy]*time;
	res2+=rho2a[sx*NUMT+sy]*time;
	res2+=rho2b[sx*NUMT+sy]*time;
	res2+=rho2c[sx*NUMT+sy]*time;
	

	ompt[pt]+=sqrt(res1/res2);
	ompt2[pt]+=time*sqrt((Lambda3[sx+1][sy+1].a+Lambda3[sx+1][sy+1].b+Lambda3[sx+1][sy+1].c)/(rho3a[sx*NUMT+sy]+rho3b[sx*NUMT+sy]+rho3c[sx*NUMT+sy]));

	res1+=Lambda3[sx+1][sy+1].a*time;
	res1+=Lambda3[sx+1][sy+1].b*time;
	res1+=Lambda3[sx+1][sy+1].c*time;
	res2+=rho3a[sx*NUMT+sy]/time;
	res2+=rho3b[sx*NUMT+sy]/time;
	res2+=rho3c[sx*NUMT+sy]/time;
	
	ompt3[pt]+=sqrt(res1/res2);

	dndpt[pt]+=disprel;

      }
  
  for (int go=0;go<maxm;go++)
    {
      out << go << "\t";
      if (count[go]!=0)
	out << ompt[go]/count[go] << "\t" << ompt2[go]/count[go] << "\t" << ompt3[go]/count[go]  << "\t" << dndpt[go]/count[go] << "\t" << endl;
    }
  out.close();

  // and also dump number density

  for (int sx=0;sx<maxm;sx++)
    {
      count[sx]=0;
      dndpt[sx]=0.0;
      ompt[sx]=0.0;
      ompt2[sx]=0.0;
      ompt3[sx]=0.0;
    }


  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/dndpt_%.2f.dat",time);
  out.open(fname, ios::out);

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	double disprel=sqrt(2.*(2.-cos(2.*M_PI*sx/NUMT)-cos(2.*M_PI*sy/NUMT)));
	pt= (int) floor(disprel*(maxm-1)/sqrt(8.0));
	if (pt>maxm-1)
	  cout << "FAILURE!!!!" << endl;
	//if (pt==2)
	// cout << "kx, ky: " << sx <<  "  " << sy << endl;
	count[pt]++;
	res1=Lambda1[sx+1][sy+1].a/time;
	res1+=Lambda1[sx+1][sy+1].b/time;
	res1+=Lambda1[sx+1][sy+1].c/time;
	res1+=Lambda2[sx+1][sy+1].a/time;
	res1+=Lambda2[sx+1][sy+1].b/time;
	res1+=Lambda2[sx+1][sy+1].c/time;
	res1+=Lambda3[sx+1][sy+1].a*time;
	res1+=Lambda3[sx+1][sy+1].b*time;
	res1+=Lambda3[sx+1][sy+1].c*time;
	dndpt[pt]+=res1/disprel;
      }

  for (int go=1;go<maxm;go++)
    {
      out << go << "\t";
      if (count[go]!=0)
	out << dndpt[go]/count[go] << endl;
    }

  out.close();

// dump N/\eta into jrms

  dndpt[0]=0;

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	double disprel=sqrt(2.*(2.-cos(2.*M_PI*sx/NUMT)-cos(2.*M_PI*sy/NUMT)));
	res1=Lambda1[sx+1][sy+1].a/time;
	res1+=Lambda1[sx+1][sy+1].b/time;
	res1+=Lambda1[sx+1][sy+1].c/time;
	res1+=Lambda2[sx+1][sy+1].a/time;
	res1+=Lambda2[sx+1][sy+1].b/time;
	res1+=Lambda2[sx+1][sy+1].c/time;
	res1+=Lambda3[sx+1][sy+1].a*time;
	res1+=Lambda3[sx+1][sy+1].b*time;
	res1+=Lambda3[sx+1][sy+1].c*time;
	if (sx+sy!=0) 
	  dndpt[0]+=res1/disprel;
      }

  jrms_out << time << "\t" << dndpt[0]/NUMT/NUMT;

  delete [] dndpt;
  delete [] ompt;
  delete [] ompt2;
  delete [] ompt3;
  delete [] count;     

}

void checkdisprelkz(double time)
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res1;
  double res2;

  SU2matrix** zarr;
  zarr = new SU2matrix*[7]; 
  for (int s=0;s<7;s++) 
    zarr[s] = new SU2matrix[NUM+1];

  extern void FT1d(double* pArr, int nx ,int sign);

  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/dispreltkz_%.2f.dat",time);
  out.open(fname, ios::out);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=pix[ht][ht][s+1].a;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  //put into zarr
  for (int s=0;s<NUM;s++) 
    {
      zarr[1][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
    }
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=pix[ht][ht][s+1].b;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
      zarr[1][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=pix[ht][ht][s+1].c;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[1][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=piy[ht][ht][s+1].a;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[2][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=piy[ht][ht][s+1].b;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[2][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=piy[ht][ht][s+1].c;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[2][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=ez[ht][ht][s+1].a;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[3][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=ez[ht][ht][s+1].b;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[3][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=ez[ht][ht][s+1].c;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[3][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];

 

  //now fields

  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).a;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[4][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).b;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[4][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).c;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[4][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];

  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).a;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[5][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).b;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[5][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).c;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[5][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];

  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).a/A;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[6][s+1].a=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).b/A;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[6][s+1].b=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];
  for (int s=0;s<NUM;s++) 
    {
      FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).c/A;
      FT1darray[2*s+1]=0.0;
    }
  FT1d(FT1darray,NUM,1);
  for (int s=0;s<NUM;s++) 
    zarr[6][s+1].c=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];


  //calculate correlators

  res1=0;
  res2=0;

  for (int s=1;s<NUM/2;s++) 
    {
      double disprel=sqrt(2.*(1.-cos(2.*M_PI*s/NUM)))/time/A;

      res1=zarr[1][s+1].a/time;
      res1+=zarr[1][s+1].b/time;
      res1+=zarr[1][s+1].c/time;
      res1+=zarr[2][s+1].a/time;
      res1+=zarr[2][s+1].b/time;
      res1+=zarr[2][s+1].c/time;
      res1+=zarr[3][s+1].a*time;
      res1+=zarr[3][s+1].b*time;
      res1+=zarr[3][s+1].c*time;
      
      res2=zarr[4][s+1].a*time;
      res2+=zarr[4][s+1].b*time;
      res2+=zarr[4][s+1].c*time;
      res2+=zarr[5][s+1].a*time;
      res2+=zarr[5][s+1].b*time;
      res2+=zarr[5][s+1].c*time;
      res2+=zarr[6][s+1].a/time;
      res2+=zarr[6][s+1].b/time;
      res2+=zarr[6][s+1].c/time;
           
      out << s/double(NUM) << "\t";
      out << sqrt(res1/res2) << "\t";
      out << disprel << endl;
    }
 
  out.close();

  // and also dump number density


  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/dndpz_%.2f.dat",time);
  out.open(fname, ios::out);

  for (int s=1;s<NUM/2;s++) 
    {
      double disprel=sqrt(2.*(1.-cos(2.*M_PI*s/NUM)))/A/time;

      res1=zarr[1][s+1].a/time;
      res1+=zarr[1][s+1].b/time;
      res1+=zarr[1][s+1].c/time;
      res1+=zarr[2][s+1].a/time;
      res1+=zarr[2][s+1].b/time;
      res1+=zarr[2][s+1].c/time;
      res1+=zarr[3][s+1].a*time;
      res1+=zarr[3][s+1].b*time;
      res1+=zarr[3][s+1].c*time;
      
      out << s << "\t";
      out << res1/disprel << "\t" << endl;
    }

  for (int s=0;s<7;s++) 
    delete [] zarr[s];

  out.close();
}


void checkdisprelkznew(double time)
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res1;
  double res2;

  SU2matrix** zarr;
  zarr = new SU2matrix*[7]; 
  for (int s=0;s<7;s++) 
    zarr[s] = new SU2matrix[NUM+1];

  extern void FT1d(double* pArr, int nx ,int sign);

  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/dispreltkz_%.2f.dat",time);
  out.open(fname, ios::out);

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=pix[sx][sy][s+1].a;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[1][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=pix[sx][sy][s+1].b;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[1][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=pix[sx][sy][s+1].c;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[1][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }


  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=piy[sx][sy][s+1].a;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[2][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=piy[sx][sy][s+1].b;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[2][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=piy[sx][sy][s+1].c;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[2][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=ez[sx][sy][s+1].a;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[3][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=ez[sx][sy][s+1].b;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[3][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=ez[sx][sy][s+1].c;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[3][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }



 

  //now fields

  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).a;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[4][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).b;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[4][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(ux[ht][ht][s+1]).c;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[4][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).a;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[5][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).b;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[5][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(uy[ht][ht][s+1]).c;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[5][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }


  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).a/A;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[6][s+1].a+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).b/A;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[6][s+1].b+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }
  for (int sx=1;sx<=NUMT;sx++)
    for (int sy=1;sy<=NUMT;sy++)
      {
	//put momenta to FTarray
	for (int s=0;s<NUM;s++) 
	  {
	    FT1darray[2*s]=Adjoint(u[ht][ht][s+1]).c/A;
	    FT1darray[2*s+1]=0.0;
	  }
	FT1d(FT1darray,NUM,1);
	//put into zarr
	for (int s=0;s<NUM;s++) 
	  {
	    zarr[6][s+1].c+=FT1darray[2*s]*FT1darray[2*s]+FT1darray[2*s+1]*FT1darray[2*s+1];    
	  }
      }


  //calculate correlators

  res1=0;
  res2=0;

  for (int s=1;s<NUM/2;s++) 
    {
      double disprel=sqrt(2.*(1.-cos(2.*M_PI*s/NUM)))/time/A;

      res1=zarr[1][s+1].a/time;
      res1+=zarr[1][s+1].b/time;
      res1+=zarr[1][s+1].c/time;
      res1+=zarr[2][s+1].a/time;
      res1+=zarr[2][s+1].b/time;
      res1+=zarr[2][s+1].c/time;
      res1+=zarr[3][s+1].a*time;
      res1+=zarr[3][s+1].b*time;
      res1+=zarr[3][s+1].c*time;
      
      res2=zarr[4][s+1].a*time;
      res2+=zarr[4][s+1].b*time;
      res2+=zarr[4][s+1].c*time;
      res2+=zarr[5][s+1].a*time;
      res2+=zarr[5][s+1].b*time;
      res2+=zarr[5][s+1].c*time;
      res2+=zarr[6][s+1].a/time;
      res2+=zarr[6][s+1].b/time;
      res2+=zarr[6][s+1].c/time;
           
      out << s/double(NUM) << "\t";
      out << sqrt(res1/res2) << "\t";
      out << disprel << endl;
    }
 
  out.close();

  // and also dump number density


  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/dndpz_%.2f.dat",time);
  out.open(fname, ios::out);

  for (int s=1;s<NUM/2;s++) 
    {
      double disprel=sqrt(2.*(1.-cos(2.*M_PI*s/NUM)))/A/time;

      res1=zarr[1][s+1].a/time;
      res1+=zarr[1][s+1].b/time;
      res1+=zarr[1][s+1].c/time;
      res1+=zarr[2][s+1].a/time;
      res1+=zarr[2][s+1].b/time;
      res1+=zarr[2][s+1].c/time;
      res1+=zarr[3][s+1].a*time;
      res1+=zarr[3][s+1].b*time;
      res1+=zarr[3][s+1].c*time;
      
      out << s << "\t";
      out << res1/disprel << "\t" << endl;
    }

  for (int s=0;s<7;s++) 
    delete [] zarr[s];

  out.close();
}

void Axcorrel(double time)
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res1;
  double res2;

  extern void FT1d(double* pArr, int nx,int sign);

  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/Axcorrel_%.2f.dat",time);
  out.open(fname, ios::out);

  //put momenta to FTarray
  for (int s=0;s<NUM;s++)
    {
      FT1darray[2*s]=tr(Adjoint(ux[ht][ht][s+1]),Adjoint(ux[ht][ht][1]));
      FT1darray[2*s+1]=0;
    }

  FT1d(FT1darray,NUM,1);


  for (int go=h;go<NUM;go++)
    {
      out << go-h << "\t";
      out << fabs(FT1darray[2*go]) << "\t";
      out << fabs(FT1darray[2*go+1]) << endl;
    }
  
  //we leave out constant mode

  for (int go=1;go<h;go++)
    {
      out << go+h << "\t";
      out << fabs(FT1darray[2*go]) << "\t";
      out << fabs(FT1darray[2*go+1]) << endl;
    }

  out.close();

}


//do FT of ED and components as well as Tperp and Tetaeta
void EDcorrel(double time)
{
  double res1=0.0;
  double res2;

  SU2LieMatrix dPlaqxy,dPlaqxz,dPlaqyz;

  extern void FT1d(double* pArr, int nx,int sign);

  fstream out,outez,outet,outbz,outbt,outTp,outTe;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/EDcorrel_%.2f.dat",time);
  out.open(fname, ios::out);

  sprintf(fname,"data/snapshot/EDezcorrel_%.2f.dat",time);
  outez.open(fname, ios::out);

  sprintf(fname,"data/snapshot/EDetcorrel_%.2f.dat",time);
  outet.open(fname, ios::out);

  sprintf(fname,"data/snapshot/EDbzcorrel_%.2f.dat",time);
  outbz.open(fname, ios::out);

  sprintf(fname,"data/snapshot/EDbtcorrel_%.2f.dat",time);
  outbt.open(fname, ios::out);

  sprintf(fname,"data/snapshot/Tperpcorrel_%.2f.dat",time);
  outTp.open(fname, ios::out);

  sprintf(fname,"data/snapshot/Tetacorrel_%.2f.dat",time);
  outTe.open(fname, ios::out);


  //put momenta to FTarray
  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      res1 += (tr2(ez[sx][sy][s]+Ez[sx][sy][s]))/4*time;
	      res1 += (tr2(pix[sx][sy][s]+Pix[sx][sy][s]))/4/time;
	      res1 += (tr2(piy[sx][sy][s]+Piy[sx][sy][s]))/4/time;
	      dPlaqxy=ux[sx][sy][s]*uy[sx+1][sy][s]*Hermitian(ux[sx][sy+1][s])*Hermitian(uy[sx][sy][s]);
	      res2=(dPlaqxy.b*dPlaqxy.b+dPlaqxy.c*dPlaqxy.c+dPlaqxy.d*dPlaqxy.d);
	      if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)*time;
		  }
		else
		  res1+=4*(1-dPlaqxy.a)*time;
	      
	      
	      dPlaqxz=ux[sx][sy][s]*u[sx+1][sy][s]*Hermitian(ux[sx][sy][s+1])*Hermitian(u[sx][sy][s]);
	      dPlaqyz=uy[sx][sy][s]*u[sx][sy+1][s]*Hermitian(uy[sx][sy][s+1])*Hermitian(u[sx][sy][s]);

	      res2=(dPlaqxz.b*dPlaqxz.b+dPlaqxz.c*dPlaqxz.c+dPlaqxz.d*dPlaqxz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqxz.a)/A/A/time;



		
		res2=(dPlaqyz.b*dPlaqyz.b+dPlaqyz.c*dPlaqyz.c+dPlaqyz.d*dPlaqyz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqyz.a)/A/A/time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  //just for fun: constant mode
  //cout << "EDcorr: " << fabs(FT1darray[0]) << endl;

  //we leave out constant mode

  for (int go=1;go<NUM/2;go++)
    {
      out << go << "\t";
      out << FT1darray[2*go] << "\t";
      out << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  out.close();

  //also put out max mode

  res1=0.0;
  int max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << time << " \t " << fabs(FT1darray[2*max]);

  // now components 

  //bz

  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      dPlaqxy=ux[sx][sy][s]*uy[sx+1][sy][s]*Hermitian(ux[sx][sy+1][s])*Hermitian(uy[sx][sy][s]);
	      res2=(dPlaqxy.b*dPlaqxy.b+dPlaqxy.c*dPlaqxy.c+dPlaqxy.d*dPlaqxy.d);
	      if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)*time;
		  }
		else
		  res1+=4*(1-dPlaqxy.a)*time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outbz << go << "\t";
      outbz << FT1darray[2*go] << "\t";
      outbz << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outbz.close();

  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);

  //bt

  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      dPlaqxz=ux[sx][sy][s]*u[sx+1][sy][s]*Hermitian(ux[sx][sy][s+1])*Hermitian(u[sx][sy][s]);
	      dPlaqyz=uy[sx][sy][s]*u[sx][sy+1][s]*Hermitian(uy[sx][sy][s+1])*Hermitian(u[sx][sy][s]);

	      res2=(dPlaqxz.b*dPlaqxz.b+dPlaqxz.c*dPlaqxz.c+dPlaqxz.d*dPlaqxz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqxz.a)/A/A/time;



		
		res2=(dPlaqyz.b*dPlaqyz.b+dPlaqyz.c*dPlaqyz.c+dPlaqyz.d*dPlaqyz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqyz.a)/A/A/time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outbt << go << "\t";
      outbt << FT1darray[2*go] << "\t";
      outbt << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outbt.close();

  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);

  //ez

//put momenta to FTarray
  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      res1 += (tr2(ez[sx][sy][s]+Ez[sx][sy][s]))/4*time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outez << go << "\t";
      outez << FT1darray[2*go] << "\t";
      outez << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outez.close();

  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);

  //et

  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      res1 += (tr2(pix[sx][sy][s]+Pix[sx][sy][s]))/4/time;
	      res1 += (tr2(piy[sx][sy][s]+Piy[sx][sy][s]))/4/time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outet << go << "\t";
      outet << FT1darray[2*go] << "\t";
      outet << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outet.close();

  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);

  //tperp
  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      res1 += (tr2(ez[sx][sy][s]+Ez[sx][sy][s]))/4*time;
	      dPlaqxy=ux[sx][sy][s]*uy[sx+1][sy][s]*Hermitian(ux[sx][sy+1][s])*Hermitian(uy[sx][sy][s]);
	      res2=(dPlaqxy.b*dPlaqxy.b+dPlaqxy.c*dPlaqxy.c+dPlaqxy.d*dPlaqxy.d);
	      if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)*time;
		  }
		else
		  res1+=4*(1-dPlaqxy.a)*time;
	      	      
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outTp << go << "\t";
      outTp << FT1darray[2*go] << "\t";
      outTp << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outTp.close();

  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);

  //T_etaeta times tau^2
  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      res1 -= (tr2(ez[sx][sy][s]+Ez[sx][sy][s]))/4*time;
	      res1 += (tr2(pix[sx][sy][s]+Pix[sx][sy][s]))/4/time;
	      res1 += (tr2(piy[sx][sy][s]+Piy[sx][sy][s]))/4/time;
	      dPlaqxy=ux[sx][sy][s]*uy[sx+1][sy][s]*Hermitian(ux[sx][sy+1][s])*Hermitian(uy[sx][sy][s]);
	      res2=(dPlaqxy.b*dPlaqxy.b+dPlaqxy.c*dPlaqxy.c+dPlaqxy.d*dPlaqxy.d);
	      if (res2<1.e-6)
		  {
		    res1-=2*res2*(1+res2/4-res2*res2/8)*time;
		  }
		else
		  res1-=4*(1-dPlaqxy.a)*time;
	      
	      
	      dPlaqxz=ux[sx][sy][s]*u[sx+1][sy][s]*Hermitian(ux[sx][sy][s+1])*Hermitian(u[sx][sy][s]);
	      dPlaqyz=uy[sx][sy][s]*u[sx][sy+1][s]*Hermitian(uy[sx][sy][s+1])*Hermitian(u[sx][sy][s]);

	      res2=(dPlaqxz.b*dPlaqxz.b+dPlaqxz.c*dPlaqxz.c+dPlaqxz.d*dPlaqxz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqxz.a)/A/A/time;



		
		res2=(dPlaqyz.b*dPlaqyz.b+dPlaqyz.c*dPlaqyz.c+dPlaqyz.d*dPlaqyz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqyz.a)/A/A/time;
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  FT1d(FT1darray,NUM,1);

  for (int go=1;go<NUM/2;go++)
    {
      outTe << go << "\t";
      outTe << FT1darray[2*go] << "\t";
      outTe << FT1darray[2*go+1] << endl;
    }

  //note that these modes have size f_E*NUM 

  outTe.close();


  res1=0.0;
  max=2;
  for (int s=1;s<NUM/2;s++)
    {
      if (fabs(FT1darray[2*s])>res1)
	{  
	  max=s;
	  res1=fabs(FT1darray[2*s]);
	}
    }

  ED_out << " \t " << fabs(FT1darray[2*max]);


  ED_out << endl;
  //ED_out << " \t " << max << endl;

}

void dumpED(double time)
{
  double res1=0.0;
  double res2;

  SU2LieMatrix dPlaqxy,dPlaqxz,dPlaqyz;

  extern void FT1d(double* pArr, int nx,int sign);

  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/EDdump_%.2f.dat",time);
  out.open(fname, ios::out);

  //put momenta to FTarray
  for (int s=1;s<=NUM;s++)
    {
      res1=0.0;
      for (int sx=1;sx<=NUMT;sx++)
	  for (int sy=1;sy<=NUMT;sy++)
	    {
	      
	      res1 += (tr2(ez[sx][sy][s]+Ez[sx][sy][s]))/4*time;
	      res1 += (tr2(pix[sx][sy][s]+Pix[sx][sy][s]))/4/time;
	      res1 += (tr2(piy[sx][sy][s]+Piy[sx][sy][s]))/4/time;
	      dPlaqxy=ux[sx][sy][s]*uy[sx+1][sy][s]*Hermitian(ux[sx][sy+1][s])*Hermitian(uy[sx][sy][s]);
	      res2=(dPlaqxy.b*dPlaqxy.b+dPlaqxy.c*dPlaqxy.c+dPlaqxy.d*dPlaqxy.d);
	      if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)*time;
		  }
		else
		  res1+=4*(1-dPlaqxy.a)*time;
	      
	      
	      dPlaqxz=ux[sx][sy][s]*u[sx+1][sy][s]*Hermitian(ux[sx][sy][s+1])*Hermitian(u[sx][sy][s]);
	      dPlaqyz=uy[sx][sy][s]*u[sx][sy+1][s]*Hermitian(uy[sx][sy][s+1])*Hermitian(u[sx][sy][s]);

	      res2=(dPlaqxz.b*dPlaqxz.b+dPlaqxz.c*dPlaqxz.c+dPlaqxz.d*dPlaqxz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqxz.a)/A/A/time;



		
		res2=(dPlaqyz.b*dPlaqyz.b+dPlaqyz.c*dPlaqyz.c+dPlaqyz.d*dPlaqyz.d)/A/A;

		if (res2<1.e-6)
		  {
		    res1+=2*res2*(1+res2/4-res2*res2/8)/time;
		  }
		else
		  res1+=4*(1-dPlaqyz.a)/A/A/time;
	      
	    }
      res1/=NUMT*NUMT*TSIG*TSIG*TSIG;

      FT1darray[2*(s-1)]=res1;
      FT1darray[2*s-1]=0;
    }

  for (int go=0;go<NUM;go++)
    {
      out << go << "\t";
      out << fabs(FT1darray[2*go]) << "\t";
      out << fabs(FT1darray[2*go+1]) << endl;
    }

  out.close();

}


void Axcorrelkt(double time)
{
  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  double res1;
  double res2;

  extern void FT(double* pArr, int nx, int ny, int sign);

  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	FTarray[2*(sx*(NUMT)+sy)]=tr(Adjoint(ux[sx+1][sy+1][h]),Adjoint(ux[1][1][h]));
	FTarray[2*(sx*(NUMT)+sy)+1]=0.0;
      }

  FT(FTarray,NUMT,NUMT,1);


  fstream out;
  char fname[255];
  
  // dump phi's, x,y const;
  sprintf(fname,"data/snapshot/Axcorrelkt_%.2f.dat",time);
  out.open(fname, ios::out);

  int pt=0;

  int maxm = (int)sqrt((double)(NUMT*NUMT/2))+1;
  int *count = new int[maxm]; //need to count number of degenerate pt's
  double *Axkt = new double[maxm]; 
  for (int sx=0;sx<maxm;sx++)
    {
      count[sx]=0;
      Axkt[sx]=0.0;
     }

  //cout << "maxm: "<< maxm << endl;


  for (int sx=0;sx<NUMT;sx++) 
    for (int sy=0;sy<NUMT;sy++)
      {
	double disprel=sqrt(2.*(2.-cos(2.*M_PI*sx/NUMT)-cos(2.*M_PI*sy/NUMT)));
	pt= (int) floor(disprel*(maxm-1)/sqrt(8.0));
	if (pt>maxm-1)
	  cout << "FAILURE!!!!" << endl;
	//if (pt==2)
	// cout << "kx, ky: " << sx <<  "  " << sy << endl;
	count[pt]++;
	Axkt[pt]+=fabs(FTarray[2*(sx*(NUMT)+sy)]); //just using real frequencies abs
      }



  //we leave out constant mode

  for (int go=1;go<maxm;go++)
    {
      out << go << "\t";
      out << Axkt[go]/count[go] << endl;
    }

  out.close();

  delete [] count;
  delete [] Axkt;
}



void snapshot(double time) {

  int h,ht;
  h=NUM/2;
  ht=NUMT/2;
  
  SU2LieMatrix dPlaqxy,dPlaqxz,dPlaqyz;
extern void FT1d(double*, int,int);

  fstream out;
  char fname[255];
  
  //dump pi's and ez's
	sprintf(fname,"data/snapshot/pioz_%.2f.dat",time);
	out.open(fname, ios::out);
	for (int s=1;s<=NUM;s++) { 
		out << s << "\t";
		out << pix[ht][ht][s].a << "\t";
		out << pix[ht][ht][s].b << "\t";
		out << pix[ht][ht][s].c << "\t";
		out << piy[ht][ht][s].a << "\t";
		out << piy[ht][ht][s].b << "\t";
		out << piy[ht][ht][s].c << "\t";
		out << ez[ht][ht][s].a << "\t";
		out << ez[ht][ht][s].b << "\t";
		out << ez[ht][ht][s].c << endl;
		out << endl;
	}
	out.close();	

	sprintf(fname,"data/snapshot/pioy_%.2f.dat",time);
	out.open(fname, ios::out);
	for (int s=1;s<=NUMT;s++) { 
		out << s << "\t";
		out << pix[ht][s][h].a << "\t";
		out << pix[ht][s][h].b << "\t";
		out << pix[ht][s][h].c << "\t";
		out << piy[ht][s][h].a << "\t";
		out << piy[ht][s][h].b << "\t";
		out << piy[ht][s][h].c << "\t";
		out << ez[ht][s][h].a << "\t";
		out << ez[ht][s][h].b << "\t";
		out << ez[ht][s][h].c << endl;
		out << endl;
	}
	out.close();	

	
	sprintf(fname,"data/snapshot/piox_%.2f.dat",time);
	out.open(fname, ios::out);
	for (int s=1;s<=NUMT;s++) { 
		out << s << "\t";
		out << pix[s][ht][h].a << "\t";
		out << pix[s][ht][h].b << "\t";
		out << pix[s][ht][h].c << "\t";
		out << piy[s][ht][h].a << "\t";
		out << piy[s][ht][h].b << "\t";
		out << piy[s][ht][h].c << "\t";
		out << ez[s][ht][h].a << "\t";
		out << ez[s][ht][h].b << "\t";
		out << ez[s][ht][h].c << endl;
		out << endl;
	}
	out.close();	


	//dump B's
	sprintf(fname,"data/snapshot/Boz_%.2f.dat",time);
	out.open(fname, ios::out);	
	for (int s=1;s<=NUM;s++) {
	  dPlaqxy=ux[ht][ht][s]*uy[ht+1][ht][s]*Hermitian(ux[ht][ht+1][s])*Hermitian(uy[ht][ht][s]);
	  dPlaqxz=ux[ht][ht][s]*u[ht+1][ht][s]*Hermitian(ux[ht][ht][s+1])*Hermitian(u[ht][ht][s]);
	  dPlaqyz=uy[ht][ht][s]*u[ht][ht+1][s]*Hermitian(uy[ht][ht][s+1])*Hermitian(u[ht][ht][s]);
	  out << s << "\t";
		out << dPlaqxy.a << "\t";
		out << dPlaqxy.b << "\t";
		out << dPlaqxy.c << "\t";
		out << dPlaqxy.d << "\t";

		out << dPlaqxz.a << "\t";
		out << dPlaqxz.b << "\t";
		out << dPlaqxz.c << "\t";
		out << dPlaqxz.d << "\t";

		out << dPlaqyz.a << "\t";
		out << dPlaqyz.b << "\t";
		out << dPlaqyz.c << "\t";
		out << dPlaqyz.d << endl;

		out << endl;
	}
	out.close();	

	sprintf(fname,"data/snapshot/Boy_%.2f.dat",time);
	out.open(fname, ios::out);	
	for (int s=1;s<=NUMT;s++) {
	  dPlaqxy=ux[ht][s][h]*uy[ht+1][s][h]*Hermitian(ux[ht][s+1][h])*Hermitian(uy[ht][s][h]);
	  dPlaqxz=ux[ht][s][h]*u[ht+1][s][h]*Hermitian(ux[ht][s][h+1])*Hermitian(u[ht][s][h]);
	  dPlaqyz=uy[ht][s][h]*u[ht][s+1][h]*Hermitian(uy[ht][s][h+1])*Hermitian(u[ht][s][h]);
	  out << s << "\t";
		out << dPlaqxy.a << "\t";
		out << dPlaqxy.b << "\t";
		out << dPlaqxy.c << "\t";
		out << dPlaqxy.d << "\t";

		out << dPlaqxz.a << "\t";
		out << dPlaqxz.b << "\t";
		out << dPlaqxz.c << "\t";
		out << dPlaqxz.d << "\t";

		out << dPlaqyz.a << "\t";
		out << dPlaqyz.b << "\t";
		out << dPlaqyz.c << "\t";
		out << dPlaqyz.d << endl;

		out << endl;
	}
	out.close();	

	sprintf(fname,"data/snapshot/Box_%.2f.dat",time);
	out.open(fname, ios::out);	
	for (int s=1;s<=NUMT;s++) {
	  dPlaqxy=ux[s][ht][h]*uy[s+1][ht][h]*Hermitian(ux[s][ht+1][h])*Hermitian(uy[s][ht][h]);
	  dPlaqxz=ux[s][ht][h]*u[s+1][ht][h]*Hermitian(ux[s][ht][h+1])*Hermitian(u[s][ht][h]);
	  dPlaqyz=uy[s][ht][h]*u[s][ht+1][h]*Hermitian(uy[s][ht][h+1])*Hermitian(u[s][ht][h]);
	  out << s << "\t";
		out << dPlaqxy.a << "\t";
		out << dPlaqxy.b << "\t";
		out << dPlaqxy.c << "\t";
		out << dPlaqxy.d << "\t";

		out << dPlaqxz.a << "\t";
		out << dPlaqxz.b << "\t";
		out << dPlaqxz.c << "\t";
		out << dPlaqxz.d << "\t";

		out << dPlaqyz.a << "\t";
		out << dPlaqyz.b << "\t";
		out << dPlaqyz.c << "\t";
		out << dPlaqyz.d << endl;

		out << endl;
	}
	out.close();	

	//generate FourierProfile

	//dump pi's and ez's fourier profile
	sprintf(fname,"data/snapshot/fpEs_%.2f.dat",time);
	out.open(fname, ios::out);
	
	for (int s=0;s<NUM;s++) { 
	  FT1darray[2*s]=tr2(pix[ht][ht][s]);
	  FT1darray[2*s+1]=0.0;
	}
  
	FT1d(FT1darray,NUM,1);
	
	for (int s=1;s<=NUM;s++) { 
	  out << s << "\t";
	  out << FT1darray[2*(s-1)]/time << "\t";
	  out << FT1darray[2*(s-1)+1]/time << "\t";
	  out << endl;
	}



	out.close();	


	checkdisprel(time);
	checkdisprelkznew(time);


	Axcorrel(time);
	Axcorrelkt(time);

	//needed here because snapshot makes GF first
	phirms_out << time << "\t" << getmaxPixxkt() << endl;
	cbar_out << time << " \t" << getmaxPixx()<< " \t" << getmaxPiyy()  << " \t" << getmaxPizz() << endl;
	
}
